<?php declare(strict_types=1);
/**
 * @copyright (c) JTL-Software-GmbH
 * @license       http://jtl-url.de/jtlshoplicense
 */

namespace Plugin\ara_language\Migrations;

use JTL\Plugin\Migration;
use JTL\Update\IMigration;

/**
 * Class Migration20200910123301
 * @package Plugin\jtl_test\Migrations
 */
class Migration20180910123301 extends Migration implements IMigration
{
    /**
     * @inheritdoc
     */


    public function up()
    {
        $this->execute(
            'CREATE TABLE IF NOT EXISTS `ara_languageConfig` (
                  `server` varchar(250) NOT NULL default "https://s5.ara-marketing.de",
                  `framework` char(3) NOT NULL default "B4",
                  `flag_change` char(1) NOT NULL default "R",
                  `pluginActive` char(1) NOT NULL default "N",
                  `change_header_lang` char(1) NOT NULL default "N",
                  `selector_header_lang` varchar(250) NOT NULL default "#header-top-bar .language-dropdown",
                  `position_header_lang` varchar(10) NOT NULL default "html",
                  `new_selector_header_lang` varchar(250) NOT NULL default "#header-top-bar .language-dropdown",
                  `dropdown_header_lang` varchar(1) NOT NULL default "Y",
                  `class_header_lang` varchar(250) NOT NULL default "hidden-xs",
                  `show_mobile_lang` varchar(1) NOT NULL default "N",
                  `selector_mobile_lang` varchar(250) NOT NULL default "#shop-nav .language-dropdown",
                  `position_mobile_lang` varchar(10) NOT NULL default "html",
                  `class_mobile_lang` varchar(250) NOT NULL default "d-xl-none d-lg-none",
                  `change_footer_lang` varchar(1) NOT NULL default "N",
                  `dropdown_footer_lang` varchar(1) NOT NULL default "N",
                  `selector_footer_lang` varchar(250) NOT NULL default "#copyright",
                  `position_footer_lang` varchar(10) NOT NULL default "append",
                  `new_selector_footer_lang` varchar(10) NOT NULL default "#copyright",
                  `class_footer_lang` varchar(250) NOT NULL default ""
            ) ENGINE=InnoDB COLLATE utf8_unicode_ci'
        );

        $result = $this->getDB()->query(
            'SELECT * from `ara_languageConfig` where 1',
            2
        );

        if($result === null || count($result) < 1) {
           $this->execute(
            "INSERT INTO `ara_languageConfig` (`flag_change`) VALUES ('R')"
            );
        }

    }

    /**
     * @inheritdoc
     */
    public function down()    {
        if ($this->doDeleteData()) {
            error_log('Delete Tables from ara_language');
            $this->execute('DROP TABLE IF EXISTS `ara_languageConfig`');
        }
    }
}
